; This is a very simple testfile
; with two comments in a row here!

$processor	84		; processor configuration
$watchdog	off
$pwrup		on
$protect	on
$clock		hs, 4000000
$idwords	0,0x000e,0,0b0000000010001101

macro sid,p1,p2,p3	; this one is legal
	begin
	clrwdt
loop:	goto loop
	endb
endm

macro eric,p4,p5	; these params are bogus
	tris 0x7
endm

macro dnop
	goto .+1
endm

macro bz,addr		; branch if zero
	btfsc 3,2	; from the mpalc manual
	goto addr
endm

; start the code here

	org 0x0000

	maxreg	equ	0x7f

	include "test2"	; test include files

	nop

	include "test3"

	fred = 0

ifdef	fred
	clrf	maxreg
else
	clrw
endif

	sid	1,2,3; include the macro

	eric	-1,25 ; and another

	dnop	; three in a row

loop:	nop

	bz loop	; note forward jumps in macros don't work yet!


	end	; end the org'ed block

; ... The End ...


